%define soname  %{version}
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           sfml
Version:        2.3
Release:        %mkrel 1
Summary:        Multimedia C++ API providing access to graphics, input, audio, etc
Group:          Development/C++
License:        zlib
URL:            http://www.sfml-dev.org/
Source0:        SFML-%{version}.tar.xz
Source1:        stb_image.tar.xz
Obsoletes:      sfml2 < 2.1-9
#----------------------------------
BuildRequires:  cmake
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcb-util-image-devel
BuildRequires: libxcb-devel
BuildRequires: mesa-devel
#----------------------------------


%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

#----------------------------------------------------------------------


%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.

%files -n %{libname}
%{_libdir}/libsfml-*.so.%{soname}*

#----------------------------------------------------------------------

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}-%{release}
#--- Previous devel packages from SFML 1.6
Obsoletes:  %{_lib}sfml-audio-devel
Obsoletes:  %{_lib}sfml-graphics-devel
Obsoletes:  %{_lib}sfml-network-devel
Obsoletes:  %{_lib}sfml-system-devel
Obsoletes:  %{_lib}sfml-window-devel
Obsoletes:  %{_lib}csfml-audio-devel
Obsoletes:  %{_lib}csfml-graphics-devel
Obsoletes:  %{_lib}csfml-network-devel
Obsoletes:  %{_lib}csfml-system-devel
Obsoletes:  %{_lib}csfml-window-devel
Obsoletes:  %{_lib}sfml-devel
Obsoletes:  %{_lib}csfml-devel
Provides:   sfml-audio-devel
Provides:   sfml-graphics-devel
Provides:   sfml-network-devel
Provides:   sfml-system-devel
Provides:   sfml-window-devel
Provides:   csfml-audio-devel
Provides:   csfml-graphics-devel
Provides:   csfml-network-devel
Provides:   csfml-system-devel
Provides:   csfml-window-devel
Provides:   csfml-devel
#---
Obsoletes:  %{_lib}sfml2-devel
Provides:   %{_lib}sfml2-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes files for developing programs based on %{name}

%files -n %{devname}
%doc changelog.txt readme.txt license.txt examples/
%{_libdir}/libsfml-*.so
%{_includedir}/SFML/
%{_libdir}/pkgconfig/sfml-*.pc
%{_datadir}/cmake/Modules/FindSFML.cmake

#----------------------------------------------------------------------

%prep
%setup -q -n SFML-%{version} -a1
%apply_patches

%build
%cmake -DSFML_INSTALL_PKGCONFIG_FILES=TRUE
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

install -D -m644 %{buildroot}%{_datadir}/SFML/cmake/Modules/FindSFML.cmake \
    %{buildroot}%{_datadir}/cmake/Modules/FindSFML.cmake
rm -rf %{buildroot}%{_datadir}/SFML


%changelog
* Thu Jul 16 2015 bb <bb> 2.3-1pclos2015
- update to 2.3

